package markov;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class GlyphTest {

    @Test
    public void testEquals() {
        Glyph a = new Glyph(Glyph.Type.word, "a");
        Glyph a2 = new Glyph(Glyph.Type.word, "a");
        Glyph w = new Glyph(Glyph.Type.whitespace, " ");
        Glyph c = new Glyph(Glyph.Type.control, "");

        assertEquals(a, a2);
        assertNotEquals(a, w);
        assertNotEquals(a, c);
        assertNotEquals(Glyph.End, c);
        assertNotEquals(Glyph.Start, c);
        assertNotEquals(Glyph.Start, Glyph.End);
        assertEquals(Glyph.Start, Glyph.Start);
        assertEquals(Glyph.End, Glyph.End);

    }
}